## org.eclipse.emf.ocl.expressions
Interface FeatureCallExp

All Superinterfaces:
  ASTNode, CallExp, CallingASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Subinterfaces:
  AssociationClassCallExp, NavigationCallExp, OperationCallExp, PropertyCallExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, FeatureCallExpImpl, NavigationCallExpImpl, OperationCallExpImpl, PropertyCallExpImpl

Deprecated. Use the `FeatureCallExp` interface, instead.

    @Deprecated
    public interface FeatureCallExp

extends CallExp

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`boolean` `isMarkedPre()` Deprecated. Returns the value of the 'Marked Pre' attribute
`void` `setMarkedPre(boolean value)` Deprecated. Sets the value of the '`Marked Pre`' attribute

Methods inherited from interface org.eclipse.emf.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### isMarkedPre

    boolean isMarkedPre()

  Deprecated.
  Returns the value of the 'Marked Pre' attribute.

  If the meaning of the 'Marked Pre' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Marked Pre' attribute.
  See Also:
    `setMarkedPre(boolean)`, `ExpressionsPackage.getFeatureCallExp_MarkedPre()`

### setMarkedPre

    void setMarkedPre(boolean value)

  Deprecated.
  Sets the value of the '`Marked Pre`' attribute.

  Parameters:
    `value` - the new value of the 'Marked Pre' attribute.
  See Also:
    `isMarkedPre()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.